Invite Users
curl --request POST \
--url https://api.devin.ai/v3/enterprise/members/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"<string>"
],
"enterprise_role_id": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/enterprise/members/users"
payload = {
"emails": ["<string>"],
"enterprise_role_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emails: ['<string>'], enterprise_role_id: '<string>'})
};
fetch('https://api.devin.ai/v3/enterprise/members/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"email": "<string>",
"name": "<string>",
"role_assignments": [
{
"role": {
"role_id": "<string>",
"role_name": "<string>"
},
"org_id": "<string>"
}
],
"user_id": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Users & Membership (Enterprise)
Invite Users
POST
/
v3
/
enterprise
/
members
/
users
Invite Users
This endpoint creates direct role assignments for invited users. To manage membership through IDP groups, use the IDP group role management endpoints.
Permissions
Requires a service user with theManageAccountMembership permission at the enterprise level.Authorizations
Service User credential (prefix: cog_)
Body
application/json
⌘I

